Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 234698

Summary: kchmviewer: update request to version 3.0
Product: [Fedora] Fedora Reporter: Jose Pedro Oliveira <jose.p.oliveira.oss>
Component: kchmviewerAssignee: Patrice Dumas <pertusus>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-03 21:21:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jose Pedro Oliveira 2007-03-31 14:29:04 UTC
Patrice,

Could you update kchmviewer to version 3.0 (it has been released two weeks ago) ?

Tia,
jpo


Additional info:

Homepage:
http://www.kchmviewer.net/

Changes:
Mar 14, 2007   Version 3.0 released.
The most important improverment was a new search engine, which could correctly
search in any language (including Asian languages), and can search for symbols -
so feel free searching for "new SWFActon()" in PHP help. Added DCOP bindings for
KDE version. Chm procesing code moved in a separate library and was rewritten
resulted in up to 20x(!) speed increase for loading large chm files. Fixed a lot
of old bugs, including 'Copy' in KDE, removing a duplicated application title,
and incorrect popup menu position.

Comment 1 Jose Pedro Oliveira 2007-04-03 21:21:56 UTC
Patrice,

Thanks for the update.

It also builds/runs correctly in FC5.

jpo

Comment 2 Patrice Dumas 2007-04-04 06:21:47 UTC
Do you want to comaintain kchmviewer? I am not very interested in 
maintaining FC-5, that way you could do it, and also update
if I am not rapid enough.

Comment 3 Jose Pedro Oliveira 2007-04-07 20:00:00 UTC
(In reply to comment #2)
> Do you want to comaintain kchmviewer? I am not very interested in 
> maintaining FC-5, that way you could do it, and also update
> if I am not rapid enough.

Feel free to add me as a co-maintainer. I will maintain it for FC-5.

Regards,
jpo

Comment 4 Jose Pedro Oliveira 2007-04-14 16:54:46 UTC
Patrice,

Just to let you know that I have just synced the kchmviewer FC-5 branch with the
FC-6 one and built it.

Regards,
jpo

Build report:
http://buildsys.fedoraproject.org/logs/fedora-5-extras/31520-kchmviewer-3.0-2.fc5/